RDKit: RDKit::FilterMatchOps::Not Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::FilterMatchOps::Not Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterMatchOps::Not:

## Public Member Functions
| Not ()
| Not (const FilterMatcherBase &arg1)
| Not (const boost::shared_ptr< FilterMatcherBase > &arg1)
| Not (const Not &rhs)
virtual std::string | getName () const
bool | isValid () const
bool | hasMatch (const ROMol &mol) const
| hasMatches More...
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &) const
| getMatches More...
boost::shared_ptr< FilterMatcherBase > | copy () const
| copy More...
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone - deprecated. More...

## Detailed Description

Definition at line 173 of file FilterMatchers.h.

## Constructor & Destructor Documentation

RDKit::FilterMatchOps::Not::Not | ( |  | ) |
| inline

Definition at line 178 of file FilterMatchers.h.

RDKit::FilterMatchOps::Not::Not | ( | const FilterMatcherBase & | arg1 | ) |
| inline

Constructs a Noter true if arg1 is false (note, never returns matches

Definition at line 184 of file FilterMatchers.h.

RDKit::FilterMatchOps::Not::Not | ( | const boost::shared_ptr< FilterMatcherBase > & | arg1 | ) |
| inline

Definition at line 187 of file FilterMatchers.h.

RDKit::FilterMatchOps::Not::Not | ( | const Not & | rhs | ) |
| inline

Definition at line 190 of file FilterMatchers.h.

## Member Function Documentation

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatchOps::Not::copy | ( |  | ) | const
| inlinevirtual

copy

Implements RDKit::FilterMatcherBase.

Definition at line 211 of file FilterMatchers.h.

References RDUNUSED_PARAM, and RDKit::SMARTS_MATCH_NAME_DEFAULT.

bool RDKit::FilterMatchOps::Not::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const
| inlinevirtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 203 of file FilterMatchers.h.

References RDKit::FilterMatchOps::And::isValid(), and PRECONDITION.

virtual std::string RDKit::FilterMatchOps::Not::getName | ( |  | ) | const
| inlinevirtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 192 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

bool RDKit::FilterMatchOps::Not::hasMatch | ( | const ROMol & | mol | ) | const
| inlinevirtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 198 of file FilterMatchers.h.

References RDKit::FilterMatchOps::And::isValid(), and PRECONDITION.

bool RDKit::FilterMatchOps::Not::isValid | ( |  | ) | const
| inlinevirtual

Implements RDKit::FilterMatcherBase.

Definition at line 196 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h